/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common'], factory) :
	(factory((global.ng = global.ng || {}, global.ng['weui-footer'] = global.ng['weui-footer'] || {}),global.ng.core,global.ng.common));
}(this, (function (exports,_angular_core,_angular_common) { 'use strict';

var WeuiFooter = (function () {
    function WeuiFooter() {
        this._footer = true;
    }
    /**
     * @return {?}
     */
    WeuiFooter.prototype.ngOnInit = function () { };
    return WeuiFooter;
}());
WeuiFooter.decorators = [
    { type: _angular_core.Component, args: [{
                selector: 'weui-footer',
                template: "\n        <ng-content select=\"footer-links\"></ng-content>\n        <ng-content select=\"footer-text\"></ng-content>\n    "
            },] },
];
/**
 * @nocollapse
 */
WeuiFooter.ctorParameters = function () { return []; };
WeuiFooter.propDecorators = {
    '_footer': [{ type: _angular_core.HostBinding, args: ['class.weui-footer',] },],
};
var WeuiFooterFixed = (function () {
    function WeuiFooterFixed() {
        this._fixed = true;
    }
    return WeuiFooterFixed;
}());
WeuiFooterFixed.decorators = [
    { type: _angular_core.Directive, args: [{
                selector: 'weui-footer[fixed]',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterFixed.ctorParameters = function () { return []; };
WeuiFooterFixed.propDecorators = {
    '_fixed': [{ type: _angular_core.HostBinding, args: ['class.weui-footer_fixed-bottom',] },],
};
var WeuiFooterLinks = (function () {
    function WeuiFooterLinks() {
        // weui-footer__links
        this._links = true;
    }
    return WeuiFooterLinks;
}());
WeuiFooterLinks.decorators = [
    { type: _angular_core.Directive, args: [{
                selector: 'footer-links',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterLinks.ctorParameters = function () { return []; };
WeuiFooterLinks.propDecorators = {
    '_links': [{ type: _angular_core.HostBinding, args: ['class.weui-footer__links',] },],
};
var WeuiFooterLink = (function () {
    function WeuiFooterLink() {
        this._link = true;
    }
    return WeuiFooterLink;
}());
WeuiFooterLink.decorators = [
    { type: _angular_core.Directive, args: [{
                selector: 'a[footer-link]',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterLink.ctorParameters = function () { return []; };
WeuiFooterLink.propDecorators = {
    '_link': [{ type: _angular_core.HostBinding, args: ['class.weui-footer__link',] },],
};
var WeuiFooterText = (function () {
    function WeuiFooterText() {
        this._text = true;
        this._display = 'block';
    }
    return WeuiFooterText;
}());
WeuiFooterText.decorators = [
    { type: _angular_core.Directive, args: [{
                selector: 'footer-text',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterText.ctorParameters = function () { return []; };
WeuiFooterText.propDecorators = {
    '_text': [{ type: _angular_core.HostBinding, args: ['class.weui-footer__text',] },],
    '_display': [{ type: _angular_core.HostBinding, args: ['style.display',] },],
};
var components = [
    WeuiFooter,
    WeuiFooterFixed,
    WeuiFooterLinks,
    WeuiFooterLink,
    WeuiFooterText
];
var WeuiFooterModule = (function () {
    function WeuiFooterModule() {
    }
    return WeuiFooterModule;
}());
WeuiFooterModule.decorators = [
    { type: _angular_core.NgModule, args: [{
                declarations: components.slice(),
                imports: [_angular_common.CommonModule],
                exports: components.slice(),
                providers: [],
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterModule.ctorParameters = function () { return []; };

exports.WeuiFooterModule = WeuiFooterModule;
exports.WeuiFooter = WeuiFooter;
exports.WeuiFooterFixed = WeuiFooterFixed;
exports.WeuiFooterLinks = WeuiFooterLinks;
exports.WeuiFooterLink = WeuiFooterLink;
exports.WeuiFooterText = WeuiFooterText;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=weui-footer.umd.js.map
