/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
import { Component, Directive, HostBinding, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class WeuiFooter {
    constructor() {
        this._footer = true;
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
WeuiFooter.decorators = [
    { type: Component, args: [{
                selector: 'weui-footer',
                template: `
        <ng-content select="footer-links"></ng-content>
        <ng-content select="footer-text"></ng-content>
    `
            },] },
];
/**
 * @nocollapse
 */
WeuiFooter.ctorParameters = () => [];
WeuiFooter.propDecorators = {
    '_footer': [{ type: HostBinding, args: ['class.weui-footer',] },],
};
class WeuiFooterFixed {
    constructor() {
        this._fixed = true;
    }
}
WeuiFooterFixed.decorators = [
    { type: Directive, args: [{
                selector: 'weui-footer[fixed]',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterFixed.ctorParameters = () => [];
WeuiFooterFixed.propDecorators = {
    '_fixed': [{ type: HostBinding, args: ['class.weui-footer_fixed-bottom',] },],
};
class WeuiFooterLinks {
    constructor() {
        // weui-footer__links
        this._links = true;
    }
}
WeuiFooterLinks.decorators = [
    { type: Directive, args: [{
                selector: 'footer-links',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterLinks.ctorParameters = () => [];
WeuiFooterLinks.propDecorators = {
    '_links': [{ type: HostBinding, args: ['class.weui-footer__links',] },],
};
class WeuiFooterLink {
    constructor() {
        this._link = true;
    }
}
WeuiFooterLink.decorators = [
    { type: Directive, args: [{
                selector: 'a[footer-link]',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterLink.ctorParameters = () => [];
WeuiFooterLink.propDecorators = {
    '_link': [{ type: HostBinding, args: ['class.weui-footer__link',] },],
};
class WeuiFooterText {
    constructor() {
        this._text = true;
        this._display = 'block';
    }
}
WeuiFooterText.decorators = [
    { type: Directive, args: [{
                selector: 'footer-text',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterText.ctorParameters = () => [];
WeuiFooterText.propDecorators = {
    '_text': [{ type: HostBinding, args: ['class.weui-footer__text',] },],
    '_display': [{ type: HostBinding, args: ['style.display',] },],
};

const components = [
    WeuiFooter,
    WeuiFooterFixed,
    WeuiFooterLinks,
    WeuiFooterLink,
    WeuiFooterText
];
class WeuiFooterModule {
}
WeuiFooterModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    ...components
                ],
                imports: [CommonModule],
                exports: [
                    ...components
                ],
                providers: [],
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterModule.ctorParameters = () => [];

/**
 * Generated bundle index. Do not edit.
 */

export { WeuiFooterModule, WeuiFooter, WeuiFooterFixed, WeuiFooterLinks, WeuiFooterLink, WeuiFooterText };
//# sourceMappingURL=weui-footer.js.map
