/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
import { Component, Directive, HostBinding, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
var WeuiFooter = (function () {
    function WeuiFooter() {
        this._footer = true;
    }
    /**
     * @return {?}
     */
    WeuiFooter.prototype.ngOnInit = function () { };
    return WeuiFooter;
}());
WeuiFooter.decorators = [
    { type: Component, args: [{
                selector: 'weui-footer',
                template: "\n        <ng-content select=\"footer-links\"></ng-content>\n        <ng-content select=\"footer-text\"></ng-content>\n    "
            },] },
];
/**
 * @nocollapse
 */
WeuiFooter.ctorParameters = function () { return []; };
WeuiFooter.propDecorators = {
    '_footer': [{ type: HostBinding, args: ['class.weui-footer',] },],
};
var WeuiFooterFixed = (function () {
    function WeuiFooterFixed() {
        this._fixed = true;
    }
    return WeuiFooterFixed;
}());
WeuiFooterFixed.decorators = [
    { type: Directive, args: [{
                selector: 'weui-footer[fixed]',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterFixed.ctorParameters = function () { return []; };
WeuiFooterFixed.propDecorators = {
    '_fixed': [{ type: HostBinding, args: ['class.weui-footer_fixed-bottom',] },],
};
var WeuiFooterLinks = (function () {
    function WeuiFooterLinks() {
        // weui-footer__links
        this._links = true;
    }
    return WeuiFooterLinks;
}());
WeuiFooterLinks.decorators = [
    { type: Directive, args: [{
                selector: 'footer-links',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterLinks.ctorParameters = function () { return []; };
WeuiFooterLinks.propDecorators = {
    '_links': [{ type: HostBinding, args: ['class.weui-footer__links',] },],
};
var WeuiFooterLink = (function () {
    function WeuiFooterLink() {
        this._link = true;
    }
    return WeuiFooterLink;
}());
WeuiFooterLink.decorators = [
    { type: Directive, args: [{
                selector: 'a[footer-link]',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterLink.ctorParameters = function () { return []; };
WeuiFooterLink.propDecorators = {
    '_link': [{ type: HostBinding, args: ['class.weui-footer__link',] },],
};
var WeuiFooterText = (function () {
    function WeuiFooterText() {
        this._text = true;
        this._display = 'block';
    }
    return WeuiFooterText;
}());
WeuiFooterText.decorators = [
    { type: Directive, args: [{
                selector: 'footer-text',
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterText.ctorParameters = function () { return []; };
WeuiFooterText.propDecorators = {
    '_text': [{ type: HostBinding, args: ['class.weui-footer__text',] },],
    '_display': [{ type: HostBinding, args: ['style.display',] },],
};
var components = [
    WeuiFooter,
    WeuiFooterFixed,
    WeuiFooterLinks,
    WeuiFooterLink,
    WeuiFooterText
];
var WeuiFooterModule = (function () {
    function WeuiFooterModule() {
    }
    return WeuiFooterModule;
}());
WeuiFooterModule.decorators = [
    { type: NgModule, args: [{
                declarations: components.slice(),
                imports: [CommonModule],
                exports: components.slice(),
                providers: [],
            },] },
];
/**
 * @nocollapse
 */
WeuiFooterModule.ctorParameters = function () { return []; };
/**
 * Generated bundle index. Do not edit.
 */
export { WeuiFooterModule, WeuiFooter, WeuiFooterFixed, WeuiFooterLinks, WeuiFooterLink, WeuiFooterText };
//# sourceMappingURL=weui-footer.es5.js.map
